My Project: dgPlane Class Reference

My Project

Public Member Functions | List of all members
dgPlane Class Reference

`#include <dgPlane.h>`

Inheritance diagram for dgPlane:

## Public Member Functions

| dgPlane ()
| dgPlane (const dgVector &point)
| dgPlane (dgFloat32 x, dgFloat32 y, dgFloat32 z, dgFloat32 w)
| dgPlane (const dgVector &normal, dgFloat32 distance)
| dgPlane (const dgVector &P0, const dgVector &P1, const dgVector &P2)
dgPlane | Scale (dgFloat32 s) const
dgFloat32 | Evalue (const dgFloat32 *const point) const
dgFloat32 | Evalue (const dgVector &point) const
Public Member Functions inherited from dgVector
DG_INLINE | dgVector ()
DG_INLINE | dgVector (const __m128 type)
DG_INLINE | dgVector (const __m128i type)
DG_INLINE | dgVector (const dgFloat32 a)
DG_INLINE | dgVector (const dgFloat32 *const ptr)
DG_INLINE | dgVector (const dgVector &copy)
DG_INLINE | dgVector (const dgBigVector &copy)
DG_INLINE | dgVector (dgFloat32 x, dgFloat32 y, dgFloat32 z, dgFloat32 w)
DG_INLINE | dgVector (dgInt32 ix, dgInt32 iy, dgInt32 iz, dgInt32 iw)
DG_INLINE dgFloat32 | GetScalar () const
DG_INLINE void | Store (dgFloat32 *const dst) const
DG_INLINE dgVector | BroadcastX () const
DG_INLINE dgVector | BroadcastY () const
DG_INLINE dgVector | BroadcastZ () const
DG_INLINE dgVector | BroadcastW () const
DG_INLINE dgVector | Scale3 (dgFloat32 s) const
DG_INLINE dgVector | Scale4 (dgFloat32 s) const
DG_INLINE dgFloat32 & | operator[] (dgInt32 i)
DG_INLINE const dgFloat32 & | operator[] (dgInt32 i) const
DG_INLINE dgVector | operator+ (const dgVector &A) const
DG_INLINE dgVector | operator- (const dgVector &A) const
DG_INLINE dgVector & | operator+= (const dgVector &A)
DG_INLINE dgVector & | operator-= (const dgVector &A)
DG_INLINE dgFloat32 | operator% (const dgVector &A) const
DG_INLINE dgVector | DotProduct4 (const dgVector &A) const
DG_INLINE dgVector | operator* (const dgVector &B) const
DG_INLINE dgVector | CrossProduct4 (const dgVector &A, const dgVector &B) const
DG_INLINE dgVector | CompProduct3 (const dgVector &A) const
DG_INLINE dgVector | Reciproc () const
DG_INLINE dgVector | CompProduct4 (const dgVector &A) const
DG_INLINE dgVector | AddHorizontal () const
DG_INLINE dgVector | Abs () const
dgVector | GetMax (const dgVector &data) const
dgVector | GetMin (const dgVector &data) const
DG_INLINE dgVector | GetInt () const
DG_INLINE dgVector | TestZero () const
DG_INLINE dgVector | Floor () const
DG_INLINE dgVector | Sqrt () const
DG_INLINE dgVector | InvSqrt () const
DG_INLINE dgVector | InvMagSqrt () const
DG_INLINE dgVector | operator> (const dgVector &data) const
DG_INLINE dgVector | operator== (const dgVector &data) const
DG_INLINE dgVector | operator< (const dgVector &data) const
DG_INLINE dgVector | operator>= (const dgVector &data) const
DG_INLINE dgVector | operator<= (const dgVector &data) const
DG_INLINE dgVector | operator & (const dgVector &data) const
DG_INLINE dgVector | operator| (const dgVector &data) const
DG_INLINE dgVector | operator^ (const dgVector &data) const
DG_INLINE dgVector | AndNot (const dgVector &data) const
DG_INLINE dgInt32 | GetSignMask () const
DG_INLINE dgVector | ShiftTripleRight () const
DG_INLINE dgVector | MoveLow (const dgVector &data) const
DG_INLINE dgVector | MoveHigh (const dgVector &data) const
DG_INLINE dgVector | PackLow (const dgVector &data) const
DG_INLINE dgVector | PackHigh (const dgVector &data) const

## Additional Inherited Members

Static Public Member Functions inherited from dgVector
static DG_INLINE void | Transpose4x4 (dgVector &dst0, dgVector &dst1, dgVector &dst2, dgVector &dst3, const dgVector &src0, const dgVector &src1, const dgVector &src2, const dgVector &src3)
Public Attributes inherited from dgVector
union {
__m128 m_type
__m128i m_typeInt
dgFloat32 m_f [4]
struct {
dgFloat32 m_x
dgFloat32 m_y
dgFloat32 m_z
dgFloat32 m_w
} |
struct {
dgInt32 m_ix
dgInt32 m_iy
dgInt32 m_iz
dgInt32 m_iw
} |
}; |
Static Public Attributes inherited from dgVector
static dgVector | m_one
static dgVector | m_wOne
static dgVector | m_two
static dgVector | m_half
static dgVector | m_three
static dgVector | m_negOne
static dgVector | m_signMask
static dgVector | m_triplexMask

## Constructor & Destructor Documentation

## § dgPlane() [1/5]

DG_INLINE dgPlane::dgPlane | ( |  | ) |

## § dgPlane() [2/5]

DG_INLINE dgPlane::dgPlane | ( | const dgVector & | point | ) |

## § dgPlane() [3/5]

DG_INLINE dgPlane::dgPlane | ( | dgFloat32 | x,
|  | dgFloat32 | y,
|  | dgFloat32 | z,
|  | dgFloat32 | w
| ) |  |

## § dgPlane() [4/5]

DG_INLINE dgPlane::dgPlane | ( | const dgVector & | normal,
|  | dgFloat32 | distance
| ) |  |

## § dgPlane() [5/5]

DG_INLINE dgPlane::dgPlane | ( | const dgVector & | P0,
|  | const dgVector & | P1,
|  | const dgVector & | P2
| ) |  |

## Member Function Documentation

## § Evalue() [1/2]

DG_INLINE dgFloat32 dgPlane::Evalue | ( | const dgFloat32 *const | point | ) | const

## § Evalue() [2/2]

DG_INLINE dgFloat32 dgPlane::Evalue | ( | const dgVector & | point | ) | const

## § Scale()

DG_INLINE dgPlane dgPlane::Scale | ( | dgFloat32 | s | ) | const

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPlane.h